Download

UE 4.16.3 vs LibHaru

Hallo everybody,

For a project, I need to generate PDFs ingame and tried to get the following library working with UE 4.16.3 http://libharu.org/.
In the editor everything works fine, but as soon as I try to pack the game, conflicts are coming up.

LibHaru uses zlib and libpng.
UE4 seems to use the same libraries, but in older versions.
That’s why it comes to errors like: LNK2005 (function already defined)
I tried to replace the engine used versions with the newer ones LibHaru uses, but without success.

Maybe someone feels like trying it our by himself and help me out?